package com.deer.wms.produce.manage.model;

import com.deer.wms.project.seed.core.service.QueryParams;

/**
 * 通过产品或者产品bom的id查询
* Created by hy on 2019/07/19.
*/
public class ProcessMaterialsBomParams extends QueryParams {

    /**
     * ID
     *
     */
    private Integer id;
    /**
     * 工序bom的id
     */
    private Integer processBomId;

    private Integer productId;

    private Integer productBomId;

    /**
     * 物料id
     * @return
     */
    private Integer materialsId;

    /**
     * 物料编码
     * @return
     */
    private String code;

    /**
     * 规格类型
     * @return
     */
    private String specification;

    /**
     * 用量
     * @return
     */
    private Double dosage;

    private Integer processMaterialsBomId;

    private Integer unitId;

    @Override
    public String toString() {
        return "ProcessMaterialsBomParams{" +
                "id=" + id +
                ", processBomId=" + processBomId +
                ", productId=" + productId +
                ", productBomId=" + productBomId +
                ", materialsId=" + materialsId +
                ", code='" + code + '\'' +
                ", specification='" + specification + '\'' +
                ", dosage=" + dosage +
                '}';
    }

    public Integer getUnitId() {
        return unitId;
    }

    public void setUnitId(Integer unitId) {
        this.unitId = unitId;
    }

    public Integer getProcessMaterialsBomId() {
        return processMaterialsBomId;
    }

    public void setProcessMaterialsBomId(Integer processMaterialsBomId) {
        this.processMaterialsBomId = processMaterialsBomId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public Double getDosage() {
        return dosage;
    }

    public void setDosage(Double dosage) {
        this.dosage = dosage;
    }

    public Integer getMaterialsId() {
        return materialsId;
    }

    public void setMaterialsId(Integer materialsId) {
        this.materialsId = materialsId;
    }

    public Integer getProcessBomId() {
        return processBomId;
    }

    public void setProcessBomId(Integer processBomId) {
        this.processBomId = processBomId;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }

    public Integer getProductBomId() {
        return productBomId;
    }

    public void setProductBomId(Integer productBomId) {
        this.productBomId = productBomId;
    }
}
